Subject: Re: [PATCH] Fix bug of update IPv4 PMTU when received ICMP Fragmentation Needed message

From: Wei Yongjun <[email-masked]>
Date: Mon, 04 Jun 2007 13:38:41 +0800

I know, I misunderstand the iph->tot_len, the ICMP payload is not 
contained a valid ipv4 packet.
I do this under IPv6, it has no problem because IPv6 does not check 
this. ^_^

Thank you very much.
> But this is not the old_mtu field that we were talking about.  The
> old_mtu field comes from iph->tot_len which is the length of field
> in the *original* IP header.  We're certainly not allowed touch that
> field.
>
> Cheers,
>   

-- 

A new email address of FJWAN is launched from Apr.1 2007.
The updated address is: [email-masked] 
--------------------------------------------------
Wei Yongjun
Development Dept.I
Nanjing Fujitsu Nanda Software Tech. Co., Ltd.(FNST)
8/F., Civil Defense Building, No.189 Guangzhou Road,
Nanjing, 210029, China
TEL: +86+25-86630523-858
COINS: 79955-858
FAX: +86+25-83317685
MAIL: [email-masked]
--------------------------------------------------